Bug 192321 - Support css-color-4 rgb functions
Summary: Support css-color-4 rgb functions
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: CSS (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Simon Fraser (smfr)
URL:
Keywords: BrowserCompat, InRadar
Depends on:
Blocks:
 
Reported: 2018-12-03 13:57 PST by Simon Fraser (smfr)
Modified: 2019-01-02 13:01 PST (History)
9 users (show)

See Also:


Attachments
Testcase (279 bytes, text/html)
2018-12-03 13:57 PST, Simon Fraser (smfr)
no flags Details
Patch (55.45 KB, patch)
2018-12-26 12:10 PST, Simon Fraser (smfr)
no flags Details | Formatted Diff | Diff
Archive of layout-test-results from ews100 for mac-sierra (4.15 MB, application/zip)
2018-12-26 13:14 PST, Build Bot
no flags Details
Archive of layout-test-results from ews104 for mac-sierra-wk2 (4.70 MB, text/plain)
2018-12-26 13:24 PST, Build Bot
no flags Details
Archive of layout-test-results from ews116 for mac-sierra (3.70 MB, application/zip)
2018-12-26 14:02 PST, Build Bot
no flags Details
Archive of layout-test-results from ews203 for win-future (14.45 MB, application/zip)
2018-12-26 14:02 PST, Build Bot
no flags Details
Archive of layout-test-results from ews125 for ios-simulator-wk2 (2.87 MB, application/zip)
2018-12-26 14:11 PST, Build Bot
no flags Details
Patch (2.41 MB, patch)
2018-12-26 20:59 PST, Simon Fraser (smfr)
zalan: review+
Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Simon Fraser (smfr) 2018-12-03 13:57:02 PST
We should support "rgba(7, 8, 9, 50%)" in colors. Other browsers do.
Comment 1 Simon Fraser (smfr) 2018-12-03 13:57:44 PST
Created attachment 356403 [details]
Testcase
Comment 2 Simon Fraser (smfr) 2018-12-26 12:10:26 PST
Created attachment 358081 [details]
Patch
Comment 3 Build Bot 2018-12-26 13:14:28 PST Comment hidden (obsolete)
Comment 4 Build Bot 2018-12-26 13:14:30 PST Comment hidden (obsolete)
Comment 5 Build Bot 2018-12-26 13:24:07 PST Comment hidden (obsolete)
Comment 6 Build Bot 2018-12-26 13:24:09 PST Comment hidden (obsolete)
Comment 7 Build Bot 2018-12-26 14:02:33 PST Comment hidden (obsolete)
Comment 8 Build Bot 2018-12-26 14:02:42 PST Comment hidden (obsolete)
Comment 9 Build Bot 2018-12-26 14:02:44 PST Comment hidden (obsolete)
Comment 10 Build Bot 2018-12-26 14:02:45 PST Comment hidden (obsolete)
Comment 11 Build Bot 2018-12-26 14:11:32 PST Comment hidden (obsolete)
Comment 12 Build Bot 2018-12-26 14:11:34 PST Comment hidden (obsolete)
Comment 13 Simon Fraser (smfr) 2018-12-26 20:59:53 PST
Created attachment 358098 [details]
Patch
Comment 14 zalan 2019-01-02 11:00:39 PST
Comment on attachment 358098 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=358098&action=review

> Source/WebCore/css/parser/CSSPropertyParserHelpers.cpp:511
> +    auto consumeSeparator = [&] () -> bool {

wouldn't "auto consumeSeparator = [&] {" just work?

> Source/WebCore/css/parser/CSSPropertyParserHelpers.cpp:533
> +    auto consumeAlphaSeparator = [&] () {

() can be dropped.
Comment 15 Simon Fraser (smfr) 2019-01-02 13:00:18 PST
https://trac.webkit.org/r239574
Comment 16 Radar WebKit Bug Importer 2019-01-02 13:01:44 PST
<rdar://problem/47008951>